import React, { Component } from 'react';
import { View, ActivityIndicator } from 'react-native';
import PropTypes from 'prop-types';

export default class Spinner extends Component {
  static propTypes = {
    size: PropTypes.string,
    color: PropTypes.string
  };

  static defaultProps = {
    size: 'large',
    color: '#1d1d1d'
  };

  render() {
    return (
      <View style={{ flex: 1, justifyContent: 'center' }}>
        <ActivityIndicator size={this.props.size} color={this.props.color} />
      </View>
    );
  }
}
